<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["TiposPlantas"] ) ) {
			$lookupTableLinks["TiposPlantas"] = array();
		}
		if( !isset( $lookupTableLinks["TiposPlantas"]["Plantas.TipoPlanta"] )) {
			$lookupTableLinks["TiposPlantas"]["Plantas.TipoPlanta"] = array();
		}
		$lookupTableLinks["TiposPlantas"]["Plantas.TipoPlanta"]["edit"] = array("table" => "Plantas", "field" => "TipoPlanta", "page" => "edit");
		if( !isset( $lookupTableLinks["ClientesVinha"] ) ) {
			$lookupTableLinks["ClientesVinha"] = array();
		}
		if( !isset( $lookupTableLinks["ClientesVinha"]["Clientes.Nome"] )) {
			$lookupTableLinks["ClientesVinha"]["Clientes.Nome"] = array();
		}
		$lookupTableLinks["ClientesVinha"]["Clientes.Nome"]["edit"] = array("table" => "Clientes", "field" => "Nome", "page" => "edit");
		if( !isset( $lookupTableLinks["ClientesVinha"] ) ) {
			$lookupTableLinks["ClientesVinha"] = array();
		}
		if( !isset( $lookupTableLinks["ClientesVinha"]["Clientes.Dados"] )) {
			$lookupTableLinks["ClientesVinha"]["Clientes.Dados"] = array();
		}
		$lookupTableLinks["ClientesVinha"]["Clientes.Dados"]["edit"] = array("table" => "Clientes", "field" => "Dados", "page" => "edit");
		if( !isset( $lookupTableLinks["ClientesVinha"] ) ) {
			$lookupTableLinks["ClientesVinha"] = array();
		}
		if( !isset( $lookupTableLinks["ClientesVinha"]["Clientes.CodPHC"] )) {
			$lookupTableLinks["ClientesVinha"]["Clientes.CodPHC"] = array();
		}
		$lookupTableLinks["ClientesVinha"]["Clientes.CodPHC"]["edit"] = array("table" => "Clientes", "field" => "CodPHC", "page" => "edit");
		if( !isset( $lookupTableLinks["ClientesVinha"] ) ) {
			$lookupTableLinks["ClientesVinha"] = array();
		}
		if( !isset( $lookupTableLinks["ClientesVinha"]["Clientes.Escolha"] )) {
			$lookupTableLinks["ClientesVinha"]["Clientes.Escolha"] = array();
		}
		$lookupTableLinks["ClientesVinha"]["Clientes.Escolha"]["edit"] = array("table" => "Clientes", "field" => "Escolha", "page" => "edit");
		if( !isset( $lookupTableLinks["ClientesVinha"] ) ) {
			$lookupTableLinks["ClientesVinha"] = array();
		}
		if( !isset( $lookupTableLinks["ClientesVinha"]["Clientes.CodRegiao"] )) {
			$lookupTableLinks["ClientesVinha"]["Clientes.CodRegiao"] = array();
		}
		$lookupTableLinks["ClientesVinha"]["Clientes.CodRegiao"]["edit"] = array("table" => "Clientes", "field" => "CodRegiao", "page" => "edit");
		if( !isset( $lookupTableLinks["Users"] ) ) {
			$lookupTableLinks["Users"] = array();
		}
		if( !isset( $lookupTableLinks["Users"]["Vendas.CodUser"] )) {
			$lookupTableLinks["Users"]["Vendas.CodUser"] = array();
		}
		$lookupTableLinks["Users"]["Vendas.CodUser"]["edit"] = array("table" => "Vendas", "field" => "CodUser", "page" => "edit");
		if( !isset( $lookupTableLinks["Plantas"] ) ) {
			$lookupTableLinks["Plantas"] = array();
		}
		if( !isset( $lookupTableLinks["Plantas"]["Vendas.CodPlanta"] )) {
			$lookupTableLinks["Plantas"]["Vendas.CodPlanta"] = array();
		}
		$lookupTableLinks["Plantas"]["Vendas.CodPlanta"]["edit"] = array("table" => "Vendas", "field" => "CodPlanta", "page" => "edit");
		if( !isset( $lookupTableLinks["Clientes"] ) ) {
			$lookupTableLinks["Clientes"] = array();
		}
		if( !isset( $lookupTableLinks["Clientes"]["Vendas.CodCliente"] )) {
			$lookupTableLinks["Clientes"]["Vendas.CodCliente"] = array();
		}
		$lookupTableLinks["Clientes"]["Vendas.CodCliente"]["edit"] = array("table" => "Vendas", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["Admins"] ) ) {
			$lookupTableLinks["Admins"] = array();
		}
		if( !isset( $lookupTableLinks["Admins"]["Vinha.CodUser"] )) {
			$lookupTableLinks["Admins"]["Vinha.CodUser"] = array();
		}
		$lookupTableLinks["Admins"]["Vinha.CodUser"]["edit"] = array("table" => "Vinha", "field" => "CodUser", "page" => "edit");
		if( !isset( $lookupTableLinks["Admins"] ) ) {
			$lookupTableLinks["Admins"] = array();
		}
		if( !isset( $lookupTableLinks["Admins"]["Vinha.CodUser"] )) {
			$lookupTableLinks["Admins"]["Vinha.CodUser"] = array();
		}
		$lookupTableLinks["Admins"]["Vinha.CodUser"]["add"] = array("table" => "Vinha", "field" => "CodUser", "page" => "add");
		if( !isset( $lookupTableLinks["Admins"] ) ) {
			$lookupTableLinks["Admins"] = array();
		}
		if( !isset( $lookupTableLinks["Admins"]["Vinha.CodUser"] )) {
			$lookupTableLinks["Admins"]["Vinha.CodUser"] = array();
		}
		$lookupTableLinks["Admins"]["Vinha.CodUser"]["search"] = array("table" => "Vinha", "field" => "CodUser", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Vinha.CodPlanta"] )) {
			$lookupTableLinks["Assegnatos"]["Vinha.CodPlanta"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Vinha.CodPlanta"]["edit"] = array("table" => "Vinha", "field" => "CodPlanta", "page" => "edit");
		if( !isset( $lookupTableLinks["Clientes"] ) ) {
			$lookupTableLinks["Clientes"] = array();
		}
		if( !isset( $lookupTableLinks["Clientes"]["Vinha.CodCliente"] )) {
			$lookupTableLinks["Clientes"]["Vinha.CodCliente"] = array();
		}
		$lookupTableLinks["Clientes"]["Vinha.CodCliente"]["edit"] = array("table" => "Vinha", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["Entregas"] ) ) {
			$lookupTableLinks["Entregas"] = array();
		}
		if( !isset( $lookupTableLinks["Entregas"]["Vinha.NEntrega"] )) {
			$lookupTableLinks["Entregas"]["Vinha.NEntrega"] = array();
		}
		$lookupTableLinks["Entregas"]["Vinha.NEntrega"]["edit"] = array("table" => "Vinha", "field" => "NEntrega", "page" => "edit");
		if( !isset( $lookupTableLinks["PE Vinha"] ) ) {
			$lookupTableLinks["PE Vinha"] = array();
		}
		if( !isset( $lookupTableLinks["PE Vinha"]["Vinha.PE"] )) {
			$lookupTableLinks["PE Vinha"]["Vinha.PE"] = array();
		}
		$lookupTableLinks["PE Vinha"]["Vinha.PE"]["edit"] = array("table" => "Vinha", "field" => "PE", "page" => "edit");
		if( !isset( $lookupTableLinks["Clones"] ) ) {
			$lookupTableLinks["Clones"] = array();
		}
		if( !isset( $lookupTableLinks["Clones"]["Vinha.Clone"] )) {
			$lookupTableLinks["Clones"]["Vinha.Clone"] = array();
		}
		$lookupTableLinks["Clones"]["Vinha.Clone"]["edit"] = array("table" => "Vinha", "field" => "Clone", "page" => "edit");
		if( !isset( $lookupTableLinks["Planta stock"] ) ) {
			$lookupTableLinks["Planta stock"] = array();
		}
		if( !isset( $lookupTableLinks["Planta stock"]["Vinha.Saldo"] )) {
			$lookupTableLinks["Planta stock"]["Vinha.Saldo"] = array();
		}
		$lookupTableLinks["Planta stock"]["Vinha.Saldo"]["edit"] = array("table" => "Vinha", "field" => "Saldo", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Vinha.CodMarza"] )) {
			$lookupTableLinks["Assegnatos"]["Vinha.CodMarza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Vinha.CodMarza"]["edit"] = array("table" => "Vinha", "field" => "CodMarza", "page" => "edit");
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"] ) ) {
			$lookupTableLinks["Planta stock(confirmados)"] = array();
		}
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"]["Vinha.Saldo1"] )) {
			$lookupTableLinks["Planta stock(confirmados)"]["Vinha.Saldo1"] = array();
		}
		$lookupTableLinks["Planta stock(confirmados)"]["Vinha.Saldo1"]["edit"] = array("table" => "Vinha", "field" => "Saldo1", "page" => "edit");
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"] ) ) {
			$lookupTableLinks["Planta stock(confirmados)"] = array();
		}
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"]["Vinha.Escolha"] )) {
			$lookupTableLinks["Planta stock(confirmados)"]["Vinha.Escolha"] = array();
		}
		$lookupTableLinks["Planta stock(confirmados)"]["Vinha.Escolha"]["edit"] = array("table" => "Vinha", "field" => "Escolha", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Assegnatos.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["Assegnatos.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Assegnatos.Marza"]["edit"] = array("table" => "Assegnatos", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["DisponibilidadesVinha.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["DisponibilidadesVinha.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["DisponibilidadesVinha.Marza"]["edit"] = array("table" => "DisponibilidadesVinha", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Lista_Pedidos_Clone_PE.CodPlanta"] )) {
			$lookupTableLinks["Assegnatos"]["Lista_Pedidos_Clone_PE.CodPlanta"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Lista_Pedidos_Clone_PE.CodPlanta"]["edit"] = array("table" => "Lista Pedidos Clone_PE", "field" => "CodPlanta", "page" => "edit");
		if( !isset( $lookupTableLinks["Clientes"] ) ) {
			$lookupTableLinks["Clientes"] = array();
		}
		if( !isset( $lookupTableLinks["Clientes"]["Lista_Pedidos_Clone_PE.CodCliente"] )) {
			$lookupTableLinks["Clientes"]["Lista_Pedidos_Clone_PE.CodCliente"] = array();
		}
		$lookupTableLinks["Clientes"]["Lista_Pedidos_Clone_PE.CodCliente"]["edit"] = array("table" => "Lista Pedidos Clone_PE", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["PE Vinha"] ) ) {
			$lookupTableLinks["PE Vinha"] = array();
		}
		if( !isset( $lookupTableLinks["PE Vinha"]["Lista_Pedidos_Clone_PE.PE"] )) {
			$lookupTableLinks["PE Vinha"]["Lista_Pedidos_Clone_PE.PE"] = array();
		}
		$lookupTableLinks["PE Vinha"]["Lista_Pedidos_Clone_PE.PE"]["edit"] = array("table" => "Lista Pedidos Clone_PE", "field" => "PE", "page" => "edit");
		if( !isset( $lookupTableLinks["Clones"] ) ) {
			$lookupTableLinks["Clones"] = array();
		}
		if( !isset( $lookupTableLinks["Clones"]["Lista_Pedidos_Clone_PE.Clone"] )) {
			$lookupTableLinks["Clones"]["Lista_Pedidos_Clone_PE.Clone"] = array();
		}
		$lookupTableLinks["Clones"]["Lista_Pedidos_Clone_PE.Clone"]["edit"] = array("table" => "Lista Pedidos Clone_PE", "field" => "Clone", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Lista_Pedidos_Clone_PE.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["Lista_Pedidos_Clone_PE.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Lista_Pedidos_Clone_PE.Marza"]["edit"] = array("table" => "Lista Pedidos Clone_PE", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Entregas"] ) ) {
			$lookupTableLinks["Entregas"] = array();
		}
		if( !isset( $lookupTableLinks["Entregas"]["Entrega_Vinha_Report.NEntrega"] )) {
			$lookupTableLinks["Entregas"]["Entrega_Vinha_Report.NEntrega"] = array();
		}
		$lookupTableLinks["Entregas"]["Entrega_Vinha_Report.NEntrega"]["search"] = array("table" => "Entrega Vinha Report", "field" => "NEntrega", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Entrega_Vinha_Report.CodPlanta"] )) {
			$lookupTableLinks["Assegnatos"]["Entrega_Vinha_Report.CodPlanta"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Entrega_Vinha_Report.CodPlanta"]["search"] = array("table" => "Entrega Vinha Report", "field" => "CodPlanta", "page" => "search");
		if( !isset( $lookupTableLinks["PE Vinha"] ) ) {
			$lookupTableLinks["PE Vinha"] = array();
		}
		if( !isset( $lookupTableLinks["PE Vinha"]["Entrega_Vinha_Report.PE"] )) {
			$lookupTableLinks["PE Vinha"]["Entrega_Vinha_Report.PE"] = array();
		}
		$lookupTableLinks["PE Vinha"]["Entrega_Vinha_Report.PE"]["search"] = array("table" => "Entrega Vinha Report", "field" => "PE", "page" => "search");
		if( !isset( $lookupTableLinks["Clones"] ) ) {
			$lookupTableLinks["Clones"] = array();
		}
		if( !isset( $lookupTableLinks["Clones"]["Entrega_Vinha_Report.Clone"] )) {
			$lookupTableLinks["Clones"]["Entrega_Vinha_Report.Clone"] = array();
		}
		$lookupTableLinks["Clones"]["Entrega_Vinha_Report.Clone"]["search"] = array("table" => "Entrega Vinha Report", "field" => "Clone", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["Entrega_Vinha_Report.Codice"] )) {
			$lookupTableLinks["Assegnatos"]["Entrega_Vinha_Report.Codice"] = array();
		}
		$lookupTableLinks["Assegnatos"]["Entrega_Vinha_Report.Codice"]["search"] = array("table" => "Entrega Vinha Report", "field" => "Codice", "page" => "search");
		if( !isset( $lookupTableLinks["Vinha1"] ) ) {
			$lookupTableLinks["Vinha1"] = array();
		}
		if( !isset( $lookupTableLinks["Vinha1"]["visitas.CodCliente"] )) {
			$lookupTableLinks["Vinha1"]["visitas.CodCliente"] = array();
		}
		$lookupTableLinks["Vinha1"]["visitas.CodCliente"]["edit"] = array("table" => "Visitas", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["Vinha1"] ) ) {
			$lookupTableLinks["Vinha1"] = array();
		}
		if( !isset( $lookupTableLinks["Vinha1"]["visitas.vendas"] )) {
			$lookupTableLinks["Vinha1"]["visitas.vendas"] = array();
		}
		$lookupTableLinks["Vinha1"]["visitas.vendas"]["edit"] = array("table" => "Visitas", "field" => "vendas", "page" => "edit");
		if( !isset( $lookupTableLinks["Regioes"] ) ) {
			$lookupTableLinks["Regioes"] = array();
		}
		if( !isset( $lookupTableLinks["Regioes"]["clientesvinha.Regiao"] )) {
			$lookupTableLinks["Regioes"]["clientesvinha.Regiao"] = array();
		}
		$lookupTableLinks["Regioes"]["clientesvinha.Regiao"]["edit"] = array("table" => "ClientesVinha", "field" => "Regiao", "page" => "edit");
		if( !isset( $lookupTableLinks["Regioes"] ) ) {
			$lookupTableLinks["Regioes"] = array();
		}
		if( !isset( $lookupTableLinks["Regioes"]["clientesvinha.Localidade"] )) {
			$lookupTableLinks["Regioes"]["clientesvinha.Localidade"] = array();
		}
		$lookupTableLinks["Regioes"]["clientesvinha.Localidade"]["edit"] = array("table" => "ClientesVinha", "field" => "Localidade", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha_report_clone.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["vinha_report_clone.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha_report_clone.Marza"]["search"] = array("table" => "Vinha Report Clone", "field" => "Marza", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha_report_clone.Talea"] )) {
			$lookupTableLinks["Assegnatos"]["vinha_report_clone.Talea"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha_report_clone.Talea"]["search"] = array("table" => "Vinha Report Clone", "field" => "Talea", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha_report_clone.Clone"] )) {
			$lookupTableLinks["Assegnatos"]["vinha_report_clone.Clone"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha_report_clone.Clone"]["search"] = array("table" => "Vinha Report Clone", "field" => "Clone", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["assegnatovinha.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["assegnatovinha.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["assegnatovinha.Marza"]["edit"] = array("table" => "AssegnatoVinha", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["assegnatovinha.Talea"] )) {
			$lookupTableLinks["Assegnatos"]["assegnatovinha.Talea"] = array();
		}
		$lookupTableLinks["Assegnatos"]["assegnatovinha.Talea"]["edit"] = array("table" => "AssegnatoVinha", "field" => "Talea", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["assegnatovinha.Clone"] )) {
			$lookupTableLinks["Assegnatos"]["assegnatovinha.Clone"] = array();
		}
		$lookupTableLinks["Assegnatos"]["assegnatovinha.Clone"]["edit"] = array("table" => "AssegnatoVinha", "field" => "Clone", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["disponibilidadesvinhaconf.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["disponibilidadesvinhaconf.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["disponibilidadesvinhaconf.Marza"]["edit"] = array("table" => "DisponibilidadesVinhaConf", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Users"] ) ) {
			$lookupTableLinks["Users"] = array();
		}
		if( !isset( $lookupTableLinks["Users"]["exporta__o_dados.CodUser"] )) {
			$lookupTableLinks["Users"]["exporta__o_dados.CodUser"] = array();
		}
		$lookupTableLinks["Users"]["exporta__o_dados.CodUser"]["edit"] = array("table" => "Exportação dados", "field" => "CodUser", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["exporta__o_dados.CodPlanta"] )) {
			$lookupTableLinks["Assegnatos"]["exporta__o_dados.CodPlanta"] = array();
		}
		$lookupTableLinks["Assegnatos"]["exporta__o_dados.CodPlanta"]["edit"] = array("table" => "Exportação dados", "field" => "CodPlanta", "page" => "edit");
		if( !isset( $lookupTableLinks["Clientes"] ) ) {
			$lookupTableLinks["Clientes"] = array();
		}
		if( !isset( $lookupTableLinks["Clientes"]["exporta__o_dados.CodCliente"] )) {
			$lookupTableLinks["Clientes"]["exporta__o_dados.CodCliente"] = array();
		}
		$lookupTableLinks["Clientes"]["exporta__o_dados.CodCliente"]["edit"] = array("table" => "Exportação dados", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["exportadisponibilidade.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["exportadisponibilidade.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["exportadisponibilidade.Marza"]["edit"] = array("table" => "ExportaDisponibilidade", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["disponibilidadesvinhaconfexporta.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["disponibilidadesvinhaconfexporta.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["disponibilidadesvinhaconfexporta.Marza"]["edit"] = array("table" => "DisponibilidadesVinhaConfEXPORTA", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Clientes"] ) ) {
			$lookupTableLinks["Clientes"] = array();
		}
		if( !isset( $lookupTableLinks["Clientes"]["vinha1.CodCliente"] )) {
			$lookupTableLinks["Clientes"]["vinha1.CodCliente"] = array();
		}
		$lookupTableLinks["Clientes"]["vinha1.CodCliente"]["edit"] = array("table" => "Vinha1", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha1.CodMarza"] )) {
			$lookupTableLinks["Assegnatos"]["vinha1.CodMarza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha1.CodMarza"]["edit"] = array("table" => "Vinha1", "field" => "CodMarza", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha_report_confirmados.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["vinha_report_confirmados.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha_report_confirmados.Marza"]["search"] = array("table" => "Vinha Report Confirmados", "field" => "Marza", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha_report_n_o_confirmados.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["vinha_report_n_o_confirmados.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha_report_n_o_confirmados.Marza"]["search"] = array("table" => "Vinha Report Não Confirmados", "field" => "Marza", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["vinha_report_todos.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["vinha_report_todos.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["vinha_report_todos.Marza"]["search"] = array("table" => "Vinha Report Todos", "field" => "Marza", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["marza_stock.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["marza_stock.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["marza_stock.Marza"]["edit"] = array("table" => "Marza stock", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["marza_stock_confirmados_.Marza"] )) {
			$lookupTableLinks["Assegnatos"]["marza_stock_confirmados_.Marza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["marza_stock_confirmados_.Marza"]["edit"] = array("table" => "Marza stock(confirmados)", "field" => "Marza", "page" => "edit");
		if( !isset( $lookupTableLinks["Admins"] ) ) {
			$lookupTableLinks["Admins"] = array();
		}
		if( !isset( $lookupTableLinks["Admins"]["exporta_dados.CodUser"] )) {
			$lookupTableLinks["Admins"]["exporta_dados.CodUser"] = array();
		}
		$lookupTableLinks["Admins"]["exporta_dados.CodUser"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "CodUser", "page" => "edit");
		if( !isset( $lookupTableLinks["Admins"] ) ) {
			$lookupTableLinks["Admins"] = array();
		}
		if( !isset( $lookupTableLinks["Admins"]["exporta_dados.CodUser"] )) {
			$lookupTableLinks["Admins"]["exporta_dados.CodUser"] = array();
		}
		$lookupTableLinks["Admins"]["exporta_dados.CodUser"]["add"] = array("table" => "EXPORTA_DADOS", "field" => "CodUser", "page" => "add");
		if( !isset( $lookupTableLinks["Admins"] ) ) {
			$lookupTableLinks["Admins"] = array();
		}
		if( !isset( $lookupTableLinks["Admins"]["exporta_dados.CodUser"] )) {
			$lookupTableLinks["Admins"]["exporta_dados.CodUser"] = array();
		}
		$lookupTableLinks["Admins"]["exporta_dados.CodUser"]["search"] = array("table" => "EXPORTA_DADOS", "field" => "CodUser", "page" => "search");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["exporta_dados.CodPlanta"] )) {
			$lookupTableLinks["Assegnatos"]["exporta_dados.CodPlanta"] = array();
		}
		$lookupTableLinks["Assegnatos"]["exporta_dados.CodPlanta"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "CodPlanta", "page" => "edit");
		if( !isset( $lookupTableLinks["Clientes"] ) ) {
			$lookupTableLinks["Clientes"] = array();
		}
		if( !isset( $lookupTableLinks["Clientes"]["exporta_dados.CodCliente"] )) {
			$lookupTableLinks["Clientes"]["exporta_dados.CodCliente"] = array();
		}
		$lookupTableLinks["Clientes"]["exporta_dados.CodCliente"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "CodCliente", "page" => "edit");
		if( !isset( $lookupTableLinks["Entregas"] ) ) {
			$lookupTableLinks["Entregas"] = array();
		}
		if( !isset( $lookupTableLinks["Entregas"]["exporta_dados.NEntrega"] )) {
			$lookupTableLinks["Entregas"]["exporta_dados.NEntrega"] = array();
		}
		$lookupTableLinks["Entregas"]["exporta_dados.NEntrega"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "NEntrega", "page" => "edit");
		if( !isset( $lookupTableLinks["PE Vinha"] ) ) {
			$lookupTableLinks["PE Vinha"] = array();
		}
		if( !isset( $lookupTableLinks["PE Vinha"]["exporta_dados.PE"] )) {
			$lookupTableLinks["PE Vinha"]["exporta_dados.PE"] = array();
		}
		$lookupTableLinks["PE Vinha"]["exporta_dados.PE"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "PE", "page" => "edit");
		if( !isset( $lookupTableLinks["Clones"] ) ) {
			$lookupTableLinks["Clones"] = array();
		}
		if( !isset( $lookupTableLinks["Clones"]["exporta_dados.Clone"] )) {
			$lookupTableLinks["Clones"]["exporta_dados.Clone"] = array();
		}
		$lookupTableLinks["Clones"]["exporta_dados.Clone"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "Clone", "page" => "edit");
		if( !isset( $lookupTableLinks["Planta stock"] ) ) {
			$lookupTableLinks["Planta stock"] = array();
		}
		if( !isset( $lookupTableLinks["Planta stock"]["exporta_dados.Saldo"] )) {
			$lookupTableLinks["Planta stock"]["exporta_dados.Saldo"] = array();
		}
		$lookupTableLinks["Planta stock"]["exporta_dados.Saldo"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "Saldo", "page" => "edit");
		if( !isset( $lookupTableLinks["Assegnatos"] ) ) {
			$lookupTableLinks["Assegnatos"] = array();
		}
		if( !isset( $lookupTableLinks["Assegnatos"]["exporta_dados.CodMarza"] )) {
			$lookupTableLinks["Assegnatos"]["exporta_dados.CodMarza"] = array();
		}
		$lookupTableLinks["Assegnatos"]["exporta_dados.CodMarza"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "CodMarza", "page" => "edit");
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"] ) ) {
			$lookupTableLinks["Planta stock(confirmados)"] = array();
		}
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"]["exporta_dados.Saldo1"] )) {
			$lookupTableLinks["Planta stock(confirmados)"]["exporta_dados.Saldo1"] = array();
		}
		$lookupTableLinks["Planta stock(confirmados)"]["exporta_dados.Saldo1"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "Saldo1", "page" => "edit");
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"] ) ) {
			$lookupTableLinks["Planta stock(confirmados)"] = array();
		}
		if( !isset( $lookupTableLinks["Planta stock(confirmados)"]["exporta_dados.Escolha"] )) {
			$lookupTableLinks["Planta stock(confirmados)"]["exporta_dados.Escolha"] = array();
		}
		$lookupTableLinks["Planta stock(confirmados)"]["exporta_dados.Escolha"]["edit"] = array("table" => "EXPORTA_DADOS", "field" => "Escolha", "page" => "edit");
}

?>